--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
	t.title = "拳王场景模拟 20150122"-- 文本型窗口标题
	t.window.width = 768-- 数值型宽度
	t.window.height = 2048/8-- 数值型高度
	t.window.msaa = 0-- 数值型抗锯齿数
	t.window.vsync =true-- 逻辑型垂直同步
	t.window.borderless = false-- 逻辑型无边框
	t.window.resizable =false-- 逻辑型可调节大小
	t.window.highdpi =false-- 逻辑型高清模式显示，土豪专用
	t.window.srgb =true-- 逻辑型伽马修正
	t.window.fullscreen =false-- 逻辑型全屏
	t.window.fullscreentype = "exclusive"-- 文本型全屏显示模式
	
	t.modules.joystick = false-- 逻辑型手柄
	t.modules.audio =false-- 逻辑型音频
	t.modules.sound =false-- 逻辑型声音流
	t.modules.physics =false-- 逻辑型物理引擎
	t.modules.thread =false-- 逻辑型线程系统
end
-----------头部可以intro，变量等----------

------------------------------------------
function 引擎创建()
	置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	
	--置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	
	background= 动画:new(创建图像("1.png"),0,0,768,256,0.15,0)
	kyo = 创建图像("kyo1.png")
	player = {
	x = 50,
	y = 150,
	speed = 300,
	animations = 动画:new(kyo,0,0,66,104,0.1,0)
	}
	
end
------------------------------------------

function 逻辑更新(dt)
	background:更新(dt)
	
	if love.keyboard.isDown("right") then
		player.x = player.x + (player.speed * dt)
		player.animation = player.animations.right
	end
	if love.keyboard.isDown("left") then
		player.x = player.x - (player.speed * dt)
	end
	
	player.animations:更新(dt)
end
------------------------------------------

function 画面显示()
	background:显示()
	
	player.animations:显示(player.x, player.y)
end
------------------------------------------

function 键盘按下(key)
	
end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止() end
	end
	------------------------------------------
	
	function 鼠标按下(x,y,button)
		
	end
	------------------------------------------
	
	function 鼠标放开(x,y,button)
		
	end
	------------------------------------------
	
	function 鼠标移动(x,y,xrel,yrel)
		
	end
	------------------------------------------
	
	function 鼠标滚轮移动(x,y,xrel,yrel)
		
	end
	------------------------------------------
	
	function 窗口尺寸变化(w,h)
		
	end
	------------------------------------------
	
	function 窗口获得焦点(f)
		
	end
	------------------------------------------
	
	function 窗口鼠标进入(f)
		
	end
	------------------------------------------
	
	function 窗口可视状态(v)
		
	end
	------------------------------------------
	
	function 线程错误消息(thread,errorstr)
		
	end
	------------------------------------------
	
	function 拖放得到目录(dir)
		
	end
	------------------------------------------
	
	function 拖放得到文件(f)
		
	end
	------------------------------------------
